:root {
  --header-padding: 24px;
}

.header {
  width: 100%;
  padding: 24px var(--header-padding);
  background: #131b3f;
  background: linear-gradient(15deg, rgba(19,27,63,1) 0%, rgba(37,56,123,1) 93%); 
}

.header__wrapper-content {
  display: flex;
  justify-content: space-around;
  align-items: center;
  max-width: var(--section-max-width);
  margin: 0 auto;
}

.header__wrapper-content__menu-hamburguer {
  display: none;
}

.header__wrapper-content__link-logo {
  display: block;
  max-width: 130px;
}

.wrapper-content__navigation__list-navigation {
  display: flex;
  gap: 42px;
}

.wrapper-content__navigation__list-navigation li a {
  font-size: clamp(1.4rem, 5vw, 1.6rem);
  font-family: 'CaviarDreams-Bold', sans-serif;
  color: #fff;
  text-transform: uppercase;
  transition: color 0.3s ease;
}

.wrapper-content__navigation__list-navigation li a:hover {
  color: var(--darkblue300);
}

.navigation__list-navigation__mobile-header {
  display: none;
}

@media (max-width: 920px) {
  .header__wrapper-content {
    justify-content: initial;
  }

  .header__wrapper-content__menu-hamburguer {
    display: block;
    width: 30px;
    color: #fff;
  }  

  .header__wrapper-content__link-logo {
    display: flex;
    justify-content: center;
    flex: 1;
    order: 2;
    width: 100%;
    max-width: 100%;
  }
  
  .header__wrapper-content__link-logo img {
    max-width: 80px;
    min-width: 50px;
    margin-left: -30px;
  }

  .header__wrapper-content__navigation {
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    padding: 0px;
    pointer-events: none;
    z-index: 2;
  }
  
  .header__wrapper-content__navigation.--menu-active {
    background-color: rgba(0, 0, 0, 0.4);
    z-index: 2;
    pointer-events: all;
  }

  .header__wrapper-content__navigation.--menu-inactive .wrapper-content__navigation__list-navigation {
    opacity: 0;
    transform: translateX(-100vw);
    visibility: hidden;
    transition: all 0.3s ease;
  }

  .header__wrapper-content__navigation.--menu-active .wrapper-content__navigation__list-navigation {
    opacity: 1;
    transform: translateX(0vw);
    visibility: visible;
    transition: all 0.3s ease;
  }

  .wrapper-content__navigation__list-navigation {
    display: flex;
    flex-direction: column;
    width: 80vw;
    max-width: 320px;
    height: 100vh;
    padding: 24px;
    background-color: var(--blue100);
    gap: 36px;
    transition: all 0.3s ease;
  }
  
  .wrapper-content__navigation__list-navigation li a {
    text-transform: capitalize;
    color: var(--darkBlue800);
  }

  .navigation__list-navigation__mobile-header {
    display: flex;
    justify-content: space-between;
  }

  .navigation__list-navigation__mobile-header a {
    display: block;
    max-width: 70px;
  }

  .navigation__list-navigation__mobile-header button {
    width: 30px;
    color: var(--darkBlue800);
  }
}

@media (max-width: 420px) {
  .header {
    padding: 16px var(--header-padding);
  }

  .wrapper-content__navigation__list-navigation {
    width: 100vw;
    max-width: 100%;
    transition: all 0.3s ease;
  }

}